Payment batches & settlement
Tx Ops Execute Ready Routes
Name and signature indicate it changes tx ops execute ready routes
POSThttps://api.toku.com/stablecoin-payroll/tx-ops-execute-ready-routes
Not available to API keys yet. It will need payments:write.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/tx-ops-execute-ready-routes' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"batchID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"groupKeys": [
"string"
],
"payBeforeRelease": true
}'200 response
{
"started": [
{
"groupKey": "string",
"attemptID": "string",
"attemptNumber": 0,
"provider": "string",
"status": "string",
"transactionCount": 0,
"transactions": [
{
"transactionID": "string",
"status": "string",
"providerTransactionID": "string",
"errorCode": "string",
"errorMessage": "string",
"errorStage": "string",
"isRetryable": true
}
]
}
],
"skipped": [
{
"groupKey": "string",
"reasons": [
"string"
]
}
],
"failedToStart": [
{
"groupKey": "string",
"errorCode": "string",
"errorMessage": "string"
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
batchIDstring<uuid>requiredgroupKeysstring[]requiredAllowed: 1 to 650 items
payBeforeReleasebooleanResponse
200Successful response
startedobject[]requiredShow child attributes
groupKeystringrequiredattemptIDstringrequiredattemptNumberintegerrequiredproviderstringrequiredstatusstringrequiredtransactionCountintegerrequiredtransactionsobject[]requiredShow child attributes
transactionIDstringrequiredstatusstringrequiredproviderTransactionIDstring | nullrequirederrorCodestring | nullrequirederrorMessagestring | nullrequirederrorStagestring | nullrequiredisRetryablebooleanrequiredskippedobject[]requiredShow child attributes
groupKeystringrequiredreasonsstring[]requiredfailedToStartobject[]requiredShow child attributes
groupKeystringrequirederrorCodestringrequirederrorMessagestringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits